This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 283621 - Unable to load SELinux Policy. Machine is in enforcing mode. Halting now.
Unable to load SELinux Policy. Machine is in enforcing mode. Halting now.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-08 13:54 EDT by Pierre Sarrazin
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 10:11:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre Sarrazin 2007-09-08 13:54:15 EDT
After upgrading from FC5 to F7 (with DVD), the system failed to boot and gave
this message:

  Unable to load SELinux Policy. Machine is in enforcing mode. Halting now.
  Kernel panic - not syncing: Attempted to kill init!

Kernel is 2.6.21-1.3194.fc7.

I worked around this problem by rebooting with the DVD's rescue mode, then I
chrooted to /mnt/sysimage, edited /etc/grub.conf and added "selinux=0" to the
kernel parameters.
Comment 1 Daniel Walsh 2007-09-10 10:11:49 EDT
This is a labeling problem.  If you change the machine to permissive mode you
should be able to fix the labeling.

Kernel parameters "enforcing=0 autorelabel"  Should cause the machine to boot in
permissive mode and trigger a relabel.

You can also do this at the grub prompt, and do not have to boot the rescue mode.

Note You need to log in before you can comment on or make changes to this bug.